from typing import List

from model.common_models import DecompileResult

def validate_webhooks(webhooks: List[str], tags: List[str], sha256: str = "") -> DecompileResult:
    valid_webhooks = []
    invalid_webhooks = []
    
    for webhook in webhooks:
        if webhook and len(webhook) >= 10:  # Simple validation - real implementation would check with Discord API
            valid_webhooks.append(webhook)
        else:
            invalid_webhooks.append(webhook)
            
    return DecompileResult(invalid_webhooks, valid_webhooks)
